Package com.io7m.cardant.model

# Record Class CAAttachment

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAAttachment

Record Components:
  `file` - The file
  `relation` - The attachment relation

All Implemented Interfaces:
  `Comparable<CAAttachment>`

public record CAAttachment(CAFileType file, String relation) extends Record implements Comparable<CAAttachment>
An attachment.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAAttachment(CAFileType file, String relation)`
  An attachment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(CAAttachment other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `CAFileType`
  `file()`
  Returns the value of the `file` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAAttachmentKey`
  `key()`
  `String`
  `relation()`
  Returns the value of the `relation` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAAttachment

    public CAAttachment(CAFileType file, String relation)
    An attachment.
    Parameters:
      `file` - The file
      `relation` - The attachment relation

- ## Method Details

  - ### key

    public CAAttachmentKey key()
    Returns:
      The attachment key

  - ### compareTo

    public int compareTo(CAAttachment other)
    Specified by:
      `compareTo` in interface `Comparable<CAAttachment>`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### file

    public CAFileType file()
    Returns the value of the `file` record component.
    Returns:
      the value of the `file` record component

  - ### relation

    public String relation()
    Returns the value of the `relation` record component.
    Returns:
      the value of the `relation` record component